/*
 The software in this package is distributed under the GNU General
 Public License version 2 (with a special exception described below).

 A copy of GNU General Public License (GPL) is included in this distribution,
 in the file COPYING.GPL.

 As a special exception, if other files instantiate templates or use macros
 or inline functions from this file, or you compile this file and link it
 with other works to produce a work based on this file, this file
 does not by itself cause the resulting work to be covered
 by the GNU General Public License.

 However the source code for this file must still be made available
 in accordance with section (3) of the GNU General Public License.

 This exception does not invalidate any other reasons why a work based
 on this file might be covered by the GNU General Public License.
 */

#ifndef PING_PROTOCOL_H
#define PING_PROTOCOL_H

#include <list>
#include <string>

//-----------------------------------------------------------------------------
// PingProtocol
//-----------------------------------------------------------------------------

enum PingProtocol
{
    PingProtocol_First = 0,
    PingProtocol_ICMP = PingProtocol_First,
    PingProtocol_ICMPv6,
    PingProtocol_TCP,
    PingProtocol_TCP_IPv6,
    PingProtocol_Last = PingProtocol_TCP_IPv6
};

PingProtocol get_ping_protocol_from_string( const std::string & protocol_string );
std::string ping_protocol_to_string( const PingProtocol &protocol);

//-----------------------------------------------------------------------------
// PingProtocolList
//-----------------------------------------------------------------------------

typedef std::list<PingProtocol> PingProtocolList;

#endif // PING_PROTOCOL_H
